> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://bcdtravel.ferndocs.com/invoice/api-reference/travel-expenses-api-invoice/expenses/search/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://bcdtravel.ferndocs.com/_mcp/server. # Search expenses POST https://expenses-api.bcdtravel.com/v1/expenses Content-Type: application/json Search for travel expense records with filters. Reference: https://bcdtravel.ferndocs.com/invoice/api-reference/travel-expenses-api-invoice/expenses/search ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://expenses-api.bcdtravel.com` (https://expenses-api.bcdtravel.com, default) - `https://auth.bcdtravel.com` (https://auth.bcdtravel.com) ## Request ### Body (application/json) This endpoint expects an object. - `limit` (integer, optional) - `offset` (integer, optional) - `filter` (V1ExpensesPostRequestBodyContentApplicationJsonSchemaFilter, optional) - `sort` (V1ExpensesPostRequestBodyContentApplicationJsonSchemaSort, optional) ## Response ### 200 Search Expenses - `code` (integer, optional) - `status` (string, optional) - `remainingRecords` (integer, optional) - `result` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItems, optional) ## Types ### V1ExpensesPostRequestBodyContentApplicationJsonSchemaFilter - `invoiceNumber` (list of string, optional) - `travelerEmail` (list of string, optional) - `bookingDateTime` (string, optional) - `invoiceDateTime` (string, optional) - `lastModifiedDateTime` (string, optional) - `customerNumber` (list of string, optional) - `accountId` (list of string, optional) - `globalCustomerNumber` (list of string, optional) - `hasTransaction` (boolean, optional) - `recordLocator` (list of string, optional) - `ticketStatus` (list of string, optional) - `calculatedTicketStatus` (list of string, optional) ### V1ExpensesPostRequestBodyContentApplicationJsonSchemaSort - `lastModifiedDateTime` (string, optional) - `invoiceDateTime` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItems - `id` (string, optional) - `total` (double, optional) - `taxesTotal` (double, optional) - `subtotal` (double, optional) - `currencyCode` (string, optional) - `customerName` (string, optional) - `globalCustomerNumber` (string, optional) - `accountId` (string, optional) - `customerNumber` (string, optional) - `isInternational` (boolean, optional) - `recordLocator` (string, optional) - `lastModifiedDateTime` (datetime, optional) - `version` (integer, optional) - `approvals` (list of any, optional) - `travelers` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsTravelersItems, optional) - `brokers` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsBrokersItems, optional) - `sellers` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsSellersItems, optional) - `payments` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsPaymentsItems, optional) - `taxes` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsTaxesItems, optional) - `products` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProducts, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsTravelersItems - `firstName` (string, optional) - `lastName` (string, optional) - `emailAddress` (string, optional) - `identifiers` (list of any, optional) - `profileStatus` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsBrokersItems - `name` (string, optional) - `location` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocation, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsSellersItems - `name` (string, optional) - `validatingCarrier` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsPaymentsItems - `productId` (string, optional) - `amount` (double, optional) - `paymentType` (string, optional) - `currencyCode` (string, optional) - `cardDetail` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsPaymentsItemsCardDetail, optional) - `authorizationCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsTaxesItems - `productId` (string, optional) - `name` (string, optional) - `code` (string, optional) - `amount` (integer, optional) - `currencyCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProducts - `air` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAir, optional) - `car` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCar, optional) - `hotel` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotel, optional) - `rail` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRail, optional) - `misc` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMisc, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocation - `address` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocationAddress, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsPaymentsItemsCardDetail - `type` (string, optional) - `number` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAir - `id` (string, optional) - `taxes` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTaxesItems, optional) - `tickets` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItems, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCar - `id` (string, optional) - `reservations` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItems, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotel - `id` (string, optional) - `reservations` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItems, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRail - `id` (string, optional) - `tickets` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItems, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMisc - `id` (string, optional) - `documents` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItems, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsBrokersItemsLocationAddress - `countryCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTaxesItems - `name` (string, optional) - `code` (string, optional) - `amount` (integer, optional) - `currencyCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItems - `legs` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsLegsItems, optional) - `invoiceNumber` (string, optional) - `isConjunctive` (boolean, optional) - `validatingCarrier` (string, optional) - `ticketStatus` (string, optional) - `calculatedTicketStatus` (string, optional) - `taxes` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsTaxesItems, optional) - `ticketNumber` (string, optional) - `recordLocator` (string, optional) - `issueDateTime` (datetime, optional) - `bookingDateTime` (datetime, optional) - `fare` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsFare, optional) - `payments` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItems, optional) - `lineItems` (list of any, optional) - `bookingType` (string, optional) - `passenger` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPassenger, optional) - `isInternational` (boolean, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItems - `bookingDateTime` (datetime, optional) - `carType` (string, optional) - `confirmationNumber` (string, optional) - `dropOffLocation` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsDropOffLocation, optional) - `endDateTime` (datetime, optional) - `fare` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsFare, optional) - `baseFare` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsBaseFare, optional) - `isInternational` (boolean, optional) - `lineItems` (list of any, optional) - `numberOfCars` (integer, optional) - `pickupLocation` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsPickupLocation, optional) - `rentalDays` (integer, optional) - `segmentNumber` (integer, optional) - `startDateTime` (datetime, optional) - `vendorChainCode` (string, optional) - `vendorChainName` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItems - `address` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsAddress, optional) - `bookingDateTime` (datetime, optional) - `checkInDateTime` (datetime, optional) - `checkOutDateTime` (datetime, optional) - `confirmationNumber` (string, optional) - `fare` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsFare, optional) - `guests` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsGuestsItems, optional) - `lineItems` (list of any, optional) - `numberOfNights` (integer, optional) - `numberOfRooms` (integer, optional) - `roomType` (string, optional) - `segmentNumber` (integer, optional) - `vendorChainCode` (string, optional) - `vendorChainName` (string, optional) - `vendorCode` (string, optional) - `vendorName` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItems - `legs` (list of V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsLegsItems, optional) - `recordLocator` (string, optional) - `issueDateTime` (datetime, optional) - `bookingDateTime` (datetime, optional) - `fare` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsFare, optional) - `payments` (list of any, optional) - `lineItems` (list of any, optional) - `passenger` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsPassenger, optional) - `isInternational` (boolean, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItems - `documentNumber` (string, optional) - `bookingType` (string, optional) - `fare` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsFare, optional) - `baseFare` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsBaseFare, optional) - `lineItems` (list of any, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsLegsItems - `departureAirportCode` (string, optional) - `departureDateTime` (datetime, optional) - `arrivalAirportCode` (string, optional) - `arrivalDateTime` (datetime, optional) - `flightNumber` (string, optional) - `segmentNumber` (integer, optional) - `classOfServiceCode` (string, optional) - `fareBasisCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsTaxesItems - `name` (string, optional) - `code` (string, optional) - `amount` (integer, optional) - `currencyCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsFare - `amount` (double, optional) - `currencyCode` (string, optional) - `description` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItems - `amount` (double, optional) - `paymentType` (string, optional) - `currencyCode` (string, optional) - `cardDetail` (V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItemsCardDetail, optional) - `authorizationCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPassenger - `firstName` (string, optional) - `lastName` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsDropOffLocation - `address1` (string, optional) - `countryCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsFare - `amount` (double, optional) - `currencyCode` (string, optional) - `description` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsBaseFare - `amount` (integer, optional) - `currencyCode` (string, optional) - `description` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsCarReservationsItemsPickupLocation - `address1` (string, optional) - `countryCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsAddress - `address1` (string, optional) - `countryCode` (string, optional) - `city` (string, optional) - `postalCode` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsFare - `amount` (integer, optional) - `currencyCode` (string, optional) - `description` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsHotelReservationsItemsGuestsItems - `lastName` (string, optional) - `identifiers` (list of any, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsLegsItems - `arrivalDateTime` (datetime, optional) - `arrivalStationCode` (string, optional) - `carrierCode` (string, optional) - `carrierName` (string, optional) - `departureDateTime` (datetime, optional) - `departureStationCode` (string, optional) - `segmentNumber` (integer, optional) - `trainNumber` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsFare - `amount` (double, optional) - `currencyCode` (string, optional) - `description` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsRailTicketsItemsPassenger - `firstName` (string, optional) - `lastName` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsFare - `amount` (double, optional) - `currencyCode` (string, optional) - `description` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsMiscDocumentsItemsBaseFare - `amount` (double, optional) - `currencyCode` (string, optional) - `description` (string, optional) ### V1ExpensesPostResponsesContentApplicationJsonSchemaResultItemsProductsAirTicketsItemsPaymentsItemsCardDetail - `type` (string, optional) - `number` (string, optional) ## Examples **Request** ```json { "limit": 50, "offset": 0, "filter": { "invoiceNumber": [ "850176", "850177" ], "travelerEmail": [ "FIRSTNAME.NONAME@COMPANY.COM", "JDOE@SOMEWHERE.COM" ], "bookingDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "invoiceDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "lastModifiedDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "customerNumber": [ "9999999999", "9999999" ], "accountId": [ "999999901", "999999902" ], "globalCustomerNumber": [ "9999", "20109999" ], "hasTransaction": true, "recordLocator": [ "GKQLV1", "EKDCAG" ], "ticketStatus": [ "TICKETED" ], "calculatedTicketStatus": [ "USED/FLOWN" ] }, "sort": { "lastModifiedDateTime": "asc", "invoiceDateTime": "desc" } } ``` **Response** ```json { "code": 200, "status": "ok", "remainingRecords": 0, "result": [ { "id": "3c5100a0-4fbb-1225-a41a-86a928031db7", "total": 14342.43, "taxesTotal": 2775.34, "subtotal": 11567.09, "currencyCode": "USD", "customerName": "COMPANY USA", "globalCustomerNumber": "20109999", "accountId": "999999901", "customerNumber": "9999999999", "isInternational": true, "recordLocator": "GKQLV1", "lastModifiedDateTime": "2022-02-11T21:12:00.432Z", "version": 2, "approvals": [], "travelers": [ { "firstName": "FIRSTNAME", "lastName": "NONAME", "emailAddress": "FIRSTNAME.NONAME@COMPANY.COM", "identifiers": [], "profileStatus": "Active" } ], "brokers": [ { "name": "BCD Travel", "location": { "address": { "countryCode": "US" } } } ], "sellers": [ { "name": "Lufthansa", "validatingCarrier": "LH" } ], "payments": [ { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "amount": 5176.57, "paymentType": "Credit Card", "currencyCode": "USD", "cardDetail": { "type": "VI", "number": "9484" }, "authorizationCode": "004511" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "paymentType": "Unused Ticket", "ticketNumber": "2207684749561" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "amount": 4574.77, "paymentType": "Credit Card", "currencyCode": "USD", "cardDetail": { "type": "VI", "number": "9484" }, "authorizationCode": "19871" } ], "taxes": [ { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 2360, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 42, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Immigration Fee", "code": "XY", "amount": 14, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "USD" }, { "productId": "5b25731f-b4b9-d5e3-e076-381257310431", "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "USD" } ], "products": { "air": { "id": "5b25731f-b4b9-d5e3-e076-381257310431", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 2360, "currencyCode": "USD" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 42, "currencyCode": "USD" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "USD" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "USD" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "USD" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "USD" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "USD" }, { "name": "Immigration Fee", "code": "XY", "amount": 14, "currencyCode": "USD" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "USD" } ], "tickets": [ { "legs": [ { "departureAirportCode": "SEA", "departureDateTime": "2022-02-27T11:00:00Z", "arrivalAirportCode": "DEN", "arrivalDateTime": "2022-02-27T14:46:00Z", "flightNumber": "1630", "segmentNumber": 1, "classOfServiceCode": "Z", "fareBasisCode": "JAR1" }, { "departureAirportCode": "DEN", "departureDateTime": "2022-02-27T16:10:00Z", "arrivalAirportCode": "FRA", "arrivalDateTime": "2022-02-28T09:35:00Z", "flightNumber": "7582", "segmentNumber": 2, "classOfServiceCode": "Z", "fareBasisCode": "JAR1" } ], "invoiceNumber": "850176", "isConjunctive": false, "validatingCarrier": "LH", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 960, "currencyCode": "USD" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 21, "currencyCode": "USD" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "USD" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "USD" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "USD" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "USD" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "USD" }, { "name": "Immigration Fee", "code": "XY", "amount": 7, "currencyCode": "USD" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 9, "currencyCode": "USD" } ], "ticketNumber": "2207690355999", "recordLocator": "E9ES2X", "issueDateTime": "2022-02-11T00:00:00Z", "bookingDateTime": "2022-01-06T17:03:00Z", "fare": { "amount": 5176.57, "currencyCode": "USD", "description": "Total Fare" }, "payments": [ { "amount": 5176.57, "paymentType": "Credit Card", "currencyCode": "USD", "cardDetail": { "type": "VI", "number": "9484" }, "authorizationCode": "004511" }, { "paymentType": "Unused Ticket", "ticketNumber": "2207684749561" } ], "lineItems": [], "bookingType": "Purchase", "passenger": { "firstName": "FIRSTNAME", "lastName": "NONAME" }, "isInternational": true }, { "legs": [ { "departureAirportCode": "FRA", "arrivalAirportCode": "SEA", "flightNumber": "490", "segmentNumber": 8, "classOfServiceCode": "G", "fareBasisCode": "GLW00ENC" } ], "invoiceNumber": "850176", "isConjunctive": false, "validatingCarrier": "LH", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 960, "currencyCode": "USD" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 21, "currencyCode": "USD" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "USD" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "USD" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "USD" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "USD" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "USD" }, { "name": "Immigration Fee", "code": "XY", "amount": 7, "currencyCode": "USD" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 9, "currencyCode": "USD" } ], "ticketNumber": "2207690355999", "recordLocator": "2CMDF7", "issueDateTime": "2022-02-11T00:00:00Z", "bookingDateTime": "2022-01-06T17:03:00Z", "fare": { "amount": 5176.57, "currencyCode": "USD", "description": "Total Fare" }, "payments": [ { "amount": 5176.57, "paymentType": "Credit Card", "currencyCode": "USD", "cardDetail": { "type": "VI", "number": "9484" }, "authorizationCode": "004511" }, { "paymentType": "Unused Ticket", "ticketNumber": "2207684749561" } ], "lineItems": [], "bookingType": "Purchase", "passenger": { "firstName": "FIRSTNAME", "lastName": "NONAME" }, "isInternational": true }, { "legs": [], "invoiceNumber": "844680", "isConjunctive": false, "validatingCarrier": "LH", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 1400, "currencyCode": "USD" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 21, "currencyCode": "USD" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "USD" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "USD" }, { "name": "Immigration Fee", "code": "XY", "amount": 7, "currencyCode": "USD" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "USD" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "USD" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "USD" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "USD" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "USD" } ], "ticketNumber": "2207684749999", "issueDateTime": "2022-01-06T00:00:00Z", "bookingDateTime": "2022-01-06T17:03:00Z", "fare": { "amount": 4574.77, "currencyCode": "USD", "description": "Total Fare" }, "payments": [ { "amount": 4574.77, "paymentType": "Credit Card", "currencyCode": "USD", "cardDetail": { "type": "VI", "number": "9484" }, "authorizationCode": "19871" } ], "lineItems": [], "bookingType": "Exchange", "passenger": { "firstName": "FIRSTNAME", "lastName": "NONAME" }, "isInternational": false } ] }, "car": { "id": "bdfabb0e-2968-893e-7da1-97f18780193b", "reservations": [ { "bookingDateTime": "2022-01-06T17:03:00Z", "carType": "Compact 4DR Car Manual AC", "confirmationNumber": "9917132564", "dropOffLocation": { "address1": "Sixt Stuttgart Central Train Station\nArnulf-Klett-Platz 2\nStuttgart\n70173", "countryCode": "DE" }, "endDateTime": "2022-03-03T17:00:00Z", "fare": { "amount": 400.95, "currencyCode": "EUR", "description": "Estimated Total" }, "baseFare": { "amount": 100, "currencyCode": "EUR", "description": "Daily" }, "isInternational": false, "lineItems": [], "numberOfCars": 1, "pickupLocation": { "address1": "Sixt Stuttgart Central Train Station\nArnulf-Klett-Platz 2\nStuttgart\n70173", "countryCode": "DE" }, "rentalDays": 4, "segmentNumber": 5, "startDateTime": "2022-02-28T12:00:00Z", "vendorChainCode": "SX", "vendorChainName": "Sixt Rent a Car" } ] }, "hotel": { "id": "ee734d69-d712-f0c5-600b-8ca83dadb536", "reservations": [ { "address": { "address1": "Mahdentalstrasse 68.", "countryCode": "DE", "city": "Stuttgart", "postalCode": "71065" }, "bookingDateTime": "2022-01-06T17:03:00Z", "checkInDateTime": "2022-02-28T15:00:00Z", "checkOutDateTime": "2022-03-03T11:00:00Z", "confirmationNumber": "89512485", "fare": { "amount": 297, "currencyCode": "EUR", "description": "Estimated Total" }, "guests": [ { "lastName": "NONAME FIRSTNAME", "identifiers": [] } ], "lineItems": [], "numberOfNights": 3, "numberOfRooms": 1, "roomType": "DCX", "segmentNumber": 9, "vendorChainCode": "MC", "vendorChainName": "MARRIOTT", "vendorCode": "1777", "vendorName": "Stuttgart Marriott Sindelfinge" }, { "address": { "address1": "Terminal 1", "countryCode": "DE", "city": "Frankfurt", "postalCode": "60549" }, "bookingDateTime": "2022-01-06T17:03:00Z", "checkInDateTime": "2022-03-03T15:00:00Z", "checkOutDateTime": "2022-03-04T11:00:00Z", "confirmationNumber": "89510758", "fare": { "amount": 1, "currencyCode": "EUR", "description": "Estimated Total" }, "guests": [ { "lastName": "NONAME FIRSTNAME", "identifiers": [] } ], "lineItems": [], "numberOfNights": 1, "numberOfRooms": 1, "roomType": "CHR", "segmentNumber": 10, "vendorChainCode": "MC", "vendorChainName": "MARRIOTT", "vendorCode": "381386", "vendorName": "Frankfurt Airport Marriott", "baseFare": { "amount": 142.3, "currencyCode": "EUR", "description": "Weekly" } } ] }, "rail": { "id": "8a859047-962c-b73b-7ac3-ef2dda71fb01", "tickets": [ { "legs": [ { "arrivalDateTime": "2022-02-28T12:08:00Z", "arrivalStationCode": "ZWS", "carrierCode": "LH", "carrierName": "Lufthansa", "departureDateTime": "2022-02-28T10:52:00Z", "departureStationCode": "FRA", "segmentNumber": 3, "trainNumber": "3410" } ], "recordLocator": "2CMDF7", "issueDateTime": "2022-01-06T17:03:00Z", "bookingDateTime": "2022-01-06T17:03:00Z", "fare": { "amount": 4574.77, "currencyCode": "USD", "description": "Total Fare" }, "payments": [], "lineItems": [], "passenger": { "firstName": "FIRSTNAME", "lastName": "NONAME" }, "isInternational": false }, { "legs": [ { "arrivalDateTime": "2022-03-03T17:51:00Z", "arrivalStationCode": "FRA", "carrierCode": "LH", "carrierName": "Lufthansa", "departureDateTime": "2022-03-03T16:34:00Z", "departureStationCode": "ZWS", "segmentNumber": 6, "trainNumber": "3421" } ], "recordLocator": "2CMDF7", "issueDateTime": "2022-01-06T17:03:00Z", "bookingDateTime": "2022-01-06T17:03:00Z", "fare": { "amount": 0, "currencyCode": "USD", "description": "Total Fare" }, "payments": [], "lineItems": [], "passenger": { "firstName": "FIRSTNAME", "lastName": "NONAME" }, "isInternational": false } ] }, "misc": { "id": "b5594ac4-5596-176e-68b1-b79a58e2d261", "documents": [ { "documentNumber": "8904804804804", "bookingType": "Purchase", "fare": { "amount": 10.77, "currencyCode": "USD", "description": "Total Fare" }, "baseFare": { "amount": 10.77, "currencyCode": "USD", "description": "Base Fare" }, "lineItems": [] }, { "documentNumber": "9544804804804", "bookingType": "Purchase", "fare": { "amount": 5.55, "currencyCode": "USD", "description": "Total Fare" }, "baseFare": { "amount": 5.55, "currencyCode": "USD", "description": "Base Fare" }, "lineItems": [ { "sequenceNumber": 1, "description": "Fee breakdown description", "total": 2 }, { "sequenceNumber": 2, "total": 3.55 } ] } ] } } }, { "id": "f4690ecf-d6b0-1afc-1c37-3ab74436cf71", "taxesTotal": 404.03, "customerName": "SOMEWHERE", "globalCustomerNumber": "9999", "accountId": "999999902", "customerNumber": "9999999", "isInternational": true, "recordLocator": "EKDCAG", "lastModifiedDateTime": "2022-02-16T11:13:41.37Z", "version": 2, "approvals": [], "travelers": [ { "firstName": "JOHN", "lastName": "DOE", "emailAddress": "JDOE@SOMEWHERE.COM", "identifiers": [], "profileStatus": "Active" } ], "brokers": [ { "name": "BCD Travel", "location": { "address": { "countryCode": "DE" } } } ], "sellers": [ { "name": "Lufthansa", "validatingCarrier": "LH" }, { "name": "Alaska Airlines", "validatingCarrier": "AS" } ], "payments": [ { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "amount": 942.07, "paymentType": "Credit Card", "currencyCode": "EUR", "cardDetail": { "type": "CA", "number": "1234" }, "authorizationCode": "01010 C" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "amount": 86.96, "paymentType": "Credit Card", "currencyCode": "EUR", "cardDetail": { "type": "CA", "number": "1234" }, "authorizationCode": "633425 C" } ], "taxes": [ { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 200, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 19, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "code": "RD", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Immigration Fee", "code": "XY", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "EUR" }, { "productId": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "name": "Segment Tax, goes to FAA", "code": "ZP", "amount": 1, "currencyCode": "EUR" } ], "products": { "air": { "id": "1cc25604-13ef-0b36-3d5e-948f4a01e00d", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 200, "currencyCode": "EUR" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 19, "currencyCode": "EUR" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "EUR" }, { "code": "RD", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "EUR" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "EUR" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "EUR" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "EUR" }, { "name": "Immigration Fee", "code": "XY", "amount": 1, "currencyCode": "EUR" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "EUR" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "EUR" }, { "name": "Segment Tax, goes to FAA", "code": "ZP", "amount": 1, "currencyCode": "EUR" } ], "tickets": [ { "legs": [ { "departureAirportCode": "BER", "departureDateTime": "2022-02-15T09:45:00Z", "arrivalAirportCode": "FRA", "arrivalDateTime": "2022-02-15T10:55:00Z", "flightNumber": "179", "segmentNumber": 1, "classOfServiceCode": "S", "fareBasisCode": "SLNCD8", "marketingAirlineCode": "LH" }, { "departureAirportCode": "AUS", "departureDateTime": "2022-03-08T12:04:00Z", "arrivalAirportCode": "IAD", "arrivalDateTime": "2022-03-08T16:02:00Z", "flightNumber": "7665", "segmentNumber": 11, "classOfServiceCode": "S", "fareBasisCode": "SNCD8", "marketingAirlineCode": "LH" } ], "invoiceNumber": "850177", "validatingCarrier": "LH", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 200, "currencyCode": "EUR" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 19, "currencyCode": "EUR" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "EUR" }, { "code": "RD", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "EUR" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "EUR" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "EUR" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "EUR" }, { "name": "Immigration Fee", "code": "XY", "amount": 1, "currencyCode": "EUR" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "EUR" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "EUR" } ], "ticketNumber": "2206950684999", "recordLocator": "U7EKXS", "issueDateTime": "2022-02-11T00:00:00Z", "bookingDateTime": "2022-02-11T09:19:00Z", "fare": { "amount": 942.07, "currencyCode": "EUR", "description": "Total Fare" }, "payments": [ { "amount": 942.07, "paymentType": "Credit Card", "currencyCode": "EUR", "cardDetail": { "type": "CA", "number": "1234" }, "authorizationCode": "01010 C" } ], "lineItems": [], "bookingType": "Purchase", "passenger": { "firstName": "JOHN", "lastName": "DOE" }, "isInternational": false }, { "legs": [ { "departureAirportCode": "IAD", "arrivalAirportCode": "FRA", "flightNumber": "419", "segmentNumber": 12, "classOfServiceCode": "S", "fareBasisCode": "SNCD8", "marketingAirlineCode": "LH" } ], "validatingCarrier": "LH", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 200, "currencyCode": "EUR" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 19, "currencyCode": "EUR" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "EUR" }, { "code": "RD", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "EUR" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "EUR" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "EUR" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "EUR" }, { "name": "Immigration Fee", "code": "XY", "amount": 1, "currencyCode": "EUR" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "EUR" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "EUR" } ], "ticketNumber": "2206950684999", "recordLocator": "U7EKXS", "issueDateTime": "2022-02-11T00:00:00Z", "bookingDateTime": "2022-02-11T09:19:00Z", "fare": { "amount": 942.07, "currencyCode": "EUR", "description": "Total Fare" }, "payments": [ { "amount": 942.07, "paymentType": "Credit Card", "currencyCode": "EUR", "cardDetail": { "type": "CA", "number": "1234" }, "authorizationCode": "01010 C" } ], "lineItems": [], "bookingType": "Purchase", "passenger": { "firstName": "JOHN", "lastName": "DOE" }, "isInternational": true }, { "legs": [ { "departureAirportCode": "BER", "arrivalAirportCode": "FRA", "flightNumber": "179", "segmentNumber": 1, "classOfServiceCode": "S", "fareBasisCode": "SLNCD8", "marketingAirlineCode": "LH" }, { "departureAirportCode": "AUS", "arrivalAirportCode": "IAD", "flightNumber": "7665", "segmentNumber": 11, "classOfServiceCode": "S", "fareBasisCode": "SNCD8", "marketingAirlineCode": "LH" } ], "validatingCarrier": "LH", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 200, "currencyCode": "EUR" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 19, "currencyCode": "EUR" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "EUR" }, { "code": "RD", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "EUR" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "EUR" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "EUR" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "EUR" }, { "name": "Immigration Fee", "code": "XY", "amount": 1, "currencyCode": "EUR" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "EUR" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "EUR" } ], "ticketNumber": "2206950684999", "recordLocator": "U7EKXS", "issueDateTime": "2022-02-11T00:00:00Z", "bookingDateTime": "2022-02-11T09:19:00Z", "fare": { "amount": 942.07, "currencyCode": "EUR", "description": "Total Fare" }, "payments": [ { "amount": 942.07, "paymentType": "Credit Card", "currencyCode": "EUR", "cardDetail": { "type": "CA", "number": "1234" }, "authorizationCode": "01010 C" } ], "lineItems": [], "bookingType": "Purchase", "passenger": { "firstName": "JOHN", "lastName": "DOE" }, "isInternational": false }, { "legs": [ { "departureAirportCode": "IAD", "arrivalAirportCode": "FRA", "flightNumber": "419", "segmentNumber": 12, "classOfServiceCode": "S", "fareBasisCode": "SNCD8", "marketingAirlineCode": "LH" } ], "validatingCarrier": "LH", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YQ", "amount": 200, "currencyCode": "EUR" }, { "name": "Extra fee (instead of simply charging a higher fare)", "code": "YR", "amount": 19, "currencyCode": "EUR" }, { "name": "Airport Security Charge (varies per airport)", "code": "DE", "amount": 1, "currencyCode": "EUR" }, { "code": "RD", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Service Charge for Intl Departures", "code": "RA", "amount": 1, "currencyCode": "EUR" }, { "name": "Air Transport Tax", "code": "OY", "amount": 1, "currencyCode": "EUR" }, { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "EUR" }, { "name": "Customs Fee ", "code": "YC", "amount": 1, "currencyCode": "EUR" }, { "name": "Immigration Fee", "code": "XY", "amount": 1, "currencyCode": "EUR" }, { "name": "APHIS (Animal and Plant Health Inspection Service) Fee ", "code": "XA", "amount": 1, "currencyCode": "EUR" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "EUR" } ], "ticketNumber": "2206950684999", "recordLocator": "U7EKXS", "issueDateTime": "2022-02-11T00:00:00Z", "bookingDateTime": "2022-02-11T09:19:00Z", "fare": { "amount": 942.07, "currencyCode": "EUR", "description": "Total Fare" }, "payments": [ { "amount": 942.07, "paymentType": "Credit Card", "currencyCode": "EUR", "cardDetail": { "type": "CA", "number": "1234" }, "authorizationCode": "01010 C" } ], "lineItems": [], "bookingType": "Purchase", "passenger": { "firstName": "JOHN", "lastName": "DOE" }, "isInternational": true }, { "legs": [ { "departureAirportCode": "SFO", "arrivalAirportCode": "AUS", "flightNumber": "3482", "segmentNumber": 8, "classOfServiceCode": "X", "fareBasisCode": "GH4OZVBN", "marketingAirlineCode": "AS" } ], "validatingCarrier": "AS", "ticketStatus": "TICKETED", "calculatedTicketStatus": "USED/FLOWN", "taxes": [ { "name": "International Arrival/Departure Tax - US Domestic Transportation Tax", "code": "US", "amount": 1, "currencyCode": "EUR" }, { "name": "Segment Tax, goes to FAA", "code": "ZP", "amount": 1, "currencyCode": "EUR" }, { "name": "Security Fee", "code": "AY", "amount": 1, "currencyCode": "EUR" }, { "name": "Passenger Facility Charge", "code": "XF", "amount": 1, "currencyCode": "EUR" } ], "ticketNumber": "276950684999", "recordLocator": "BVUYVM", "issueDateTime": "2022-02-11T00:00:00Z", "bookingDateTime": "2022-02-11T09:19:00Z", "fare": { "amount": 86.96, "currencyCode": "EUR", "description": "Total Fare" }, "payments": [ { "amount": 86.96, "paymentType": "Credit Card", "currencyCode": "EUR", "cardDetail": { "type": "CA", "number": "1234" }, "authorizationCode": "633425 C" } ], "lineItems": [], "bookingType": "Purchase", "passenger": { "firstName": "JOHN", "lastName": "DOE" }, "isInternational": false } ] }, "car": { "id": "e5b0a390-5913-5a87-0d11-b6e148ca2da3", "reservations": [ { "bookingDateTime": "2022-02-11T09:19:00Z", "carType": "Intermediate Car Auto A/C", "confirmationNumber": "K03512717C2", "dropOffLocation": { "address1": "Hertz San Francisco International Airport", "countryCode": "US", "address2": "780 McDonnell Road", "city": "San Francisco", "region": "California", "postalCode": "94128" }, "endDateTime": "2022-03-01T11:00:00Z", "isInternational": false, "lineItems": [], "numberOfCars": 1, "pickupLocation": { "address1": "Hertz San Francisco International Airport", "countryCode": "US", "address2": "780 McDonnell Road", "city": "San Francisco", "region": "California", "postalCode": "94128" }, "rentalDays": 13, "segmentNumber": 5, "startDateTime": "2022-02-16T17:00:00Z", "vendorChainCode": "ZE", "vendorChainName": "Hertz Rent-A-Car" }, { "bookingDateTime": "2022-02-11T09:19:00Z", "carType": "Intermediate Car Auto A/C", "confirmationNumber": "K0350953567", "dropOffLocation": { "address1": "Austin Bergstrom Intl Airport", "countryCode": "US", "address2": "3819 Presidential Blvd", "city": "Austin", "region": "Texas", "postalCode": "78719-2339" }, "endDateTime": "2022-03-08T10:00:00Z", "isInternational": false, "lineItems": [], "numberOfCars": 1, "pickupLocation": { "address1": "Austin Bergstrom Intl Airport", "countryCode": "US", "address2": "3819 Presidential Blvd", "city": "Austin", "region": "Texas", "postalCode": "78719-2339" }, "rentalDays": 7, "segmentNumber": 10, "startDateTime": "2022-03-01T18:45:00Z", "vendorChainCode": "ZE", "vendorChainName": "Hertz Rent-A-Car" } ] }, "hotel": { "id": "c15d8f3d-9371-f61d-a300-39f66c60e7a0", "reservations": [ { "address": { "address1": "47000 Lakeview Blvd", "countryCode": "US", "city": "Fremont", "postalCode": "94538", "region": "California" }, "bookingDateTime": "2022-02-11T09:19:00Z", "checkInDateTime": "2022-02-15T15:00:00Z", "checkOutDateTime": "2022-03-01T11:00:00Z", "confirmationNumber": "91495930", "fare": { "amount": 1554, "currencyCode": "USD", "description": "Estimated Total" }, "guests": [ { "lastName": "DOE JOHN MR", "identifiers": [] } ], "lineItems": [], "numberOfNights": 14, "numberOfRooms": 1, "roomType": "TED", "segmentNumber": 6, "vendorChainCode": "CY", "vendorChainName": "COURTYARD", "vendorCode": "17080", "vendorName": "Courtyard Fremont Marriott", "baseFare": { "amount": 78, "currencyCode": "USD", "description": "Daily" } }, { "address": { "address1": "304 E Cesar Chavez St", "countryCode": "US", "city": "Austin", "postalCode": "78701", "region": "Texas" }, "bookingDateTime": "2022-02-11T09:19:00Z", "checkInDateTime": "2022-03-01T15:00:00Z", "checkOutDateTime": "2022-03-08T11:00:00Z", "confirmationNumber": "90736911", "guests": [ { "lastName": "DOE JOHN MR", "identifiers": [] } ], "lineItems": [], "numberOfNights": 7, "numberOfRooms": 1, "roomType": "TED", "segmentNumber": 7, "vendorChainCode": "MC", "vendorChainName": "MARRIOTT", "vendorCode": "385152", "vendorName": "Austin Marriott Downtown" } ] }, "rail": { "id": "035459ba-2bff-a68b-4576-034c86cbd76e", "tickets": [ { "legs": [ { "arrivalDateTime": "2022-03-09T10:06:00Z", "arrivalStationCode": "QDU", "carrierCode": "LH", "carrierName": "Lufthansa", "departureDateTime": "2022-03-09T08:42:00Z", "departureStationCode": "FRA", "segmentNumber": 13, "trainNumber": "3502", "classOfServiceCode": "S" } ], "recordLocator": "U7EKXS", "issueDateTime": "2022-02-11T09:19:00Z", "bookingDateTime": "2022-02-11T09:19:00Z", "fare": { "amount": 942.07, "currencyCode": "USD", "description": "Total Fare" }, "payments": [], "lineItems": [], "passenger": { "firstName": "JOHN", "lastName": "DOE" }, "isInternational": false } ] }, "cruiseFerry": { "id": "bcd3cccf-cb0e-cdb6-fa43-3ff021802350", "reservations": [ { "bookingDateTime": "2022-02-11T09:19:00Z", "cabin": "TURISTAFLEXIBLE", "confirmationNumber": "4561", "endDateTime": "2022-03-01T08:00:00Z", "fare": { "amount": 802, "currencyCode": "USD", "description": "Estimated Total" }, "linkCode": "A", "segmentNumber": 10, "shipName": "Angelena", "startDateTime": "2022-02-15T09:45:00Z", "vendorChainCode": "repudiandae", "vendorChainName": "erat" } ] }, "tour": { "id": "01d02430-ee36-c268-96bb-5ed19122a45d", "reservations": [ { "bookingDateTime": "2022-02-11T09:19:00Z", "carType": "LIMO", "confirmationNumber": "5831", "endDateTime": "2022-03-01T08:00:00Z", "endLocationAddress": { "address1": "EWR AIRPORT UA 2310", "address2": "EWR AIRPORT UA 2511", "countryCode": "AE", "city": "Dubai", "postalCode": "779944" }, "fare": { "amount": 2, "currencyCode": "USD", "description": "Estimated Total" }, "isInternational": false, "numberOfNights": 14, "numberOfRooms": 1, "segmentNumber": 9, "startDateTime": "2022-02-15T09:45:00Z", "startLocationAddress": { "address1": "14 COPE CT HILLSBOROUGH", "address2": "27 NOPE ST WILLSBOROUGH", "countryCode": "CE", "city": "LHR", "postalCode": "555444" }, "vendorChainName": "ADDISON" } ] } } } ] } ``` **SDK Code** ```python Expenses_search_example import requests url = "https://expenses-api.bcdtravel.com/v1/expenses" payload = { "limit": 50, "offset": 0, "filter": { "invoiceNumber": ["850176", "850177"], "travelerEmail": ["FIRSTNAME.NONAME@COMPANY.COM", "JDOE@SOMEWHERE.COM"], "bookingDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "invoiceDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "lastModifiedDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "customerNumber": ["9999999999", "9999999"], "accountId": ["999999901", "999999902"], "globalCustomerNumber": ["9999", "20109999"], "hasTransaction": True, "recordLocator": ["GKQLV1", "EKDCAG"], "ticketStatus": ["TICKETED"], "calculatedTicketStatus": ["USED/FLOWN"] }, "sort": { "lastModifiedDateTime": "asc", "invoiceDateTime": "desc" } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Expenses_search_example const url = 'https://expenses-api.bcdtravel.com/v1/expenses'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"limit":50,"offset":0,"filter":{"invoiceNumber":["850176","850177"],"travelerEmail":["FIRSTNAME.NONAME@COMPANY.COM","JDOE@SOMEWHERE.COM"],"bookingDateTime":"2022-01-01T00:01 TO 2022-02-17T00:01","invoiceDateTime":"2022-01-01T00:01 TO 2022-02-17T00:01","lastModifiedDateTime":"2022-01-01T00:01 TO 2022-02-17T00:01","customerNumber":["9999999999","9999999"],"accountId":["999999901","999999902"],"globalCustomerNumber":["9999","20109999"],"hasTransaction":true,"recordLocator":["GKQLV1","EKDCAG"],"ticketStatus":["TICKETED"],"calculatedTicketStatus":["USED/FLOWN"]},"sort":{"lastModifiedDateTime":"asc","invoiceDateTime":"desc"}}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Expenses_search_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://expenses-api.bcdtravel.com/v1/expenses" payload := strings.NewReader("{\n \"limit\": 50,\n \"offset\": 0,\n \"filter\": {\n \"invoiceNumber\": [\n \"850176\",\n \"850177\"\n ],\n \"travelerEmail\": [\n \"FIRSTNAME.NONAME@COMPANY.COM\",\n \"JDOE@SOMEWHERE.COM\"\n ],\n \"bookingDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"invoiceDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"lastModifiedDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"customerNumber\": [\n \"9999999999\",\n \"9999999\"\n ],\n \"accountId\": [\n \"999999901\",\n \"999999902\"\n ],\n \"globalCustomerNumber\": [\n \"9999\",\n \"20109999\"\n ],\n \"hasTransaction\": true,\n \"recordLocator\": [\n \"GKQLV1\",\n \"EKDCAG\"\n ],\n \"ticketStatus\": [\n \"TICKETED\"\n ],\n \"calculatedTicketStatus\": [\n \"USED/FLOWN\"\n ]\n },\n \"sort\": {\n \"lastModifiedDateTime\": \"asc\",\n \"invoiceDateTime\": \"desc\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Expenses_search_example require 'uri' require 'net/http' url = URI("https://expenses-api.bcdtravel.com/v1/expenses") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"limit\": 50,\n \"offset\": 0,\n \"filter\": {\n \"invoiceNumber\": [\n \"850176\",\n \"850177\"\n ],\n \"travelerEmail\": [\n \"FIRSTNAME.NONAME@COMPANY.COM\",\n \"JDOE@SOMEWHERE.COM\"\n ],\n \"bookingDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"invoiceDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"lastModifiedDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"customerNumber\": [\n \"9999999999\",\n \"9999999\"\n ],\n \"accountId\": [\n \"999999901\",\n \"999999902\"\n ],\n \"globalCustomerNumber\": [\n \"9999\",\n \"20109999\"\n ],\n \"hasTransaction\": true,\n \"recordLocator\": [\n \"GKQLV1\",\n \"EKDCAG\"\n ],\n \"ticketStatus\": [\n \"TICKETED\"\n ],\n \"calculatedTicketStatus\": [\n \"USED/FLOWN\"\n ]\n },\n \"sort\": {\n \"lastModifiedDateTime\": \"asc\",\n \"invoiceDateTime\": \"desc\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java Expenses_search_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://expenses-api.bcdtravel.com/v1/expenses") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"limit\": 50,\n \"offset\": 0,\n \"filter\": {\n \"invoiceNumber\": [\n \"850176\",\n \"850177\"\n ],\n \"travelerEmail\": [\n \"FIRSTNAME.NONAME@COMPANY.COM\",\n \"JDOE@SOMEWHERE.COM\"\n ],\n \"bookingDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"invoiceDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"lastModifiedDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"customerNumber\": [\n \"9999999999\",\n \"9999999\"\n ],\n \"accountId\": [\n \"999999901\",\n \"999999902\"\n ],\n \"globalCustomerNumber\": [\n \"9999\",\n \"20109999\"\n ],\n \"hasTransaction\": true,\n \"recordLocator\": [\n \"GKQLV1\",\n \"EKDCAG\"\n ],\n \"ticketStatus\": [\n \"TICKETED\"\n ],\n \"calculatedTicketStatus\": [\n \"USED/FLOWN\"\n ]\n },\n \"sort\": {\n \"lastModifiedDateTime\": \"asc\",\n \"invoiceDateTime\": \"desc\"\n }\n}") .asString(); ``` ```php Expenses_search_example request('POST', 'https://expenses-api.bcdtravel.com/v1/expenses', [ 'body' => '{ "limit": 50, "offset": 0, "filter": { "invoiceNumber": [ "850176", "850177" ], "travelerEmail": [ "FIRSTNAME.NONAME@COMPANY.COM", "JDOE@SOMEWHERE.COM" ], "bookingDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "invoiceDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "lastModifiedDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "customerNumber": [ "9999999999", "9999999" ], "accountId": [ "999999901", "999999902" ], "globalCustomerNumber": [ "9999", "20109999" ], "hasTransaction": true, "recordLocator": [ "GKQLV1", "EKDCAG" ], "ticketStatus": [ "TICKETED" ], "calculatedTicketStatus": [ "USED/FLOWN" ] }, "sort": { "lastModifiedDateTime": "asc", "invoiceDateTime": "desc" } }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Expenses_search_example using RestSharp; var client = new RestClient("https://expenses-api.bcdtravel.com/v1/expenses"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"limit\": 50,\n \"offset\": 0,\n \"filter\": {\n \"invoiceNumber\": [\n \"850176\",\n \"850177\"\n ],\n \"travelerEmail\": [\n \"FIRSTNAME.NONAME@COMPANY.COM\",\n \"JDOE@SOMEWHERE.COM\"\n ],\n \"bookingDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"invoiceDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"lastModifiedDateTime\": \"2022-01-01T00:01 TO 2022-02-17T00:01\",\n \"customerNumber\": [\n \"9999999999\",\n \"9999999\"\n ],\n \"accountId\": [\n \"999999901\",\n \"999999902\"\n ],\n \"globalCustomerNumber\": [\n \"9999\",\n \"20109999\"\n ],\n \"hasTransaction\": true,\n \"recordLocator\": [\n \"GKQLV1\",\n \"EKDCAG\"\n ],\n \"ticketStatus\": [\n \"TICKETED\"\n ],\n \"calculatedTicketStatus\": [\n \"USED/FLOWN\"\n ]\n },\n \"sort\": {\n \"lastModifiedDateTime\": \"asc\",\n \"invoiceDateTime\": \"desc\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Expenses_search_example import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "limit": 50, "offset": 0, "filter": [ "invoiceNumber": ["850176", "850177"], "travelerEmail": ["FIRSTNAME.NONAME@COMPANY.COM", "JDOE@SOMEWHERE.COM"], "bookingDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "invoiceDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "lastModifiedDateTime": "2022-01-01T00:01 TO 2022-02-17T00:01", "customerNumber": ["9999999999", "9999999"], "accountId": ["999999901", "999999902"], "globalCustomerNumber": ["9999", "20109999"], "hasTransaction": true, "recordLocator": ["GKQLV1", "EKDCAG"], "ticketStatus": ["TICKETED"], "calculatedTicketStatus": ["USED/FLOWN"] ], "sort": [ "lastModifiedDateTime": "asc", "invoiceDateTime": "desc" ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://expenses-api.bcdtravel.com/v1/expenses")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```